org.eclipse.gef4.zest.core.widgets.custom

## Class TriangleSubgraph.TriangleParameters

- java.lang.Object
- - org.eclipse.gef4.zest.core.widgets.custom.TriangleSubgraph.TriangleParameters

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  TriangleSubgraph

    public static class TriangleSubgraph.TriangleParameters
    extends java.lang.Object
    implements java.lang.Cloneable

### Field Summary

Fields
`Color` `color`
`int` `direction`
`double` `referenceBase`
`double` `referenceHeight`

### Constructor Summary

Constructors
Constructor and Description
`TriangleSubgraph.TriangleParameters()`

### Method Summary

Methods
`java.lang.Object` `clone()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### color

    public Color color

#### direction

    public int direction

#### referenceHeight

    public double referenceHeight

#### referenceBase

    public double referenceBase

### Constructor Detail

#### TriangleSubgraph.TriangleParameters

    public TriangleSubgraph.TriangleParameters()

### Method Detail

#### clone

    public java.lang.Object clone()

Overrides:
  `clone` in class `java.lang.Object`